Package org.eclipse.net4j.util.security

# Class PasswordCredentials

java.lang.Object
org.eclipse.net4j.util.security.Credentials
org.eclipse.net4j.util.security.PasswordCredentials

All Implemented Interfaces:
  `ICredentials`, `IPasswordCredentials`, `IUserAware`

Direct Known Subclasses:
  `PasswordCredentialsUpdate`

public class PasswordCredentials extends Credentials implements IPasswordCredentials

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`PasswordCredentials(String userID)`
`PasswordCredentials(String userID, char[] password)`
`PasswordCredentials(String userID, String password)`

## Method Summary

Modifier and Type
Method
Description
`char[]`
`getPassword()`
`void`
`setPassword(char[] password)`

### Methods inherited from class org.eclipse.net4j.util.security.Credentials

`getUserID`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

`getUserID`

## Constructor Details

### PasswordCredentials

public PasswordCredentials(String userID, char[] password)

### PasswordCredentials

public PasswordCredentials(String userID, String password)

Since:
  3.4

### PasswordCredentials

public PasswordCredentials(String userID)

Since:
  3.4

## Method Details

### getPassword

public char[] getPassword()

Specified by:
  `getPassword` in interface `IPasswordCredentials`

### setPassword

public void setPassword(char[] password)